Package com.databricks.jdbc.commons

## Class MetricsConstants

- java.lang.Object
- - com.databricks.jdbc.commons.MetricsConstants

    public class MetricsConstants
    extends Object

### Field Summary

Fields
`static String` `CHARSET_ENCODING`
`static String` `CONNECTION_CONFIG`
`static String` `DRIVER_VERSION`
`static String` `ERROR_CODE`
`static String` `ERROR_LOGGING_URL`
`static long` `INTERVAL_DURATION`
`static String` `JVM_IMPL_VERSION`
`static String` `JVM_NAME`
`static String` `JVM_SPEC_VERSION`
`static String` `JVM_VENDOR`
`static String` `LOCALE_NAME`
`static String` `METRICS_MAP_STRING`
`static String` `METRICS_TYPE`
`static String` `METRICS_URL`
`static String` `OS_ARCH`
`static String` `OS_NAME`
`static String` `OS_VERSION`
`static String` `SQL_QUERY_ID`
`static String` `TELEMETRY_BASE_URL`
`static String` `TIMESTAMP`
`static String` `USAGE_METRICS_URL`
`static String` `WORKSPACE_ID`

### Constructor Summary

Constructors
`MetricsConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### METRICS_MAP_STRING

    public static final String METRICS_MAP_STRING

See Also:
  Constant Field Values

#### METRICS_TYPE

    public static final String METRICS_TYPE

See Also:
  Constant Field Values

#### TELEMETRY_BASE_URL

    public static final String TELEMETRY_BASE_URL

See Also:
  Constant Field Values

#### METRICS_URL

    public static final String METRICS_URL

See Also:
  Constant Field Values

#### ERROR_LOGGING_URL

    public static final String ERROR_LOGGING_URL

See Also:
  Constant Field Values

#### USAGE_METRICS_URL

    public static final String USAGE_METRICS_URL

See Also:
  Constant Field Values

#### INTERVAL_DURATION

    public static final long INTERVAL_DURATION

#### WORKSPACE_ID

    public static final String WORKSPACE_ID

See Also:
  Constant Field Values

#### SQL_QUERY_ID

    public static final String SQL_QUERY_ID

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final String TIMESTAMP

See Also:
  Constant Field Values

#### DRIVER_VERSION

    public static final String DRIVER_VERSION

See Also:
  Constant Field Values

#### CONNECTION_CONFIG

    public static final String CONNECTION_CONFIG

See Also:
  Constant Field Values

#### ERROR_CODE

    public static final String ERROR_CODE

See Also:
  Constant Field Values

#### JVM_NAME

    public static final String JVM_NAME

See Also:
  Constant Field Values

#### JVM_SPEC_VERSION

    public static final String JVM_SPEC_VERSION

See Also:
  Constant Field Values

#### JVM_IMPL_VERSION

    public static final String JVM_IMPL_VERSION

See Also:
  Constant Field Values

#### JVM_VENDOR

    public static final String JVM_VENDOR

See Also:
  Constant Field Values

#### OS_NAME

    public static final String OS_NAME

See Also:
  Constant Field Values

#### OS_VERSION

    public static final String OS_VERSION

See Also:
  Constant Field Values

#### OS_ARCH

    public static final String OS_ARCH

See Also:
  Constant Field Values

#### LOCALE_NAME

    public static final String LOCALE_NAME

See Also:
  Constant Field Values

#### CHARSET_ENCODING

    public static final String CHARSET_ENCODING

See Also:
  Constant Field Values

### Constructor Detail

#### MetricsConstants

    public MetricsConstants()